<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:


if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<users>" . "\r\n";
	echo "		<user>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</user>" . "\r\n";
	echo "	</users>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);

$url = 'https://api.twitter.com/1.1/friendships/outgoing.json';
$requestMethod = 'GET';
$twitter = new TwitterAPIExchange($settings);
$getfield = "stringify_ids=true";
$data=$twitter->setGetfield($getfield)
			  ->buildOauth($url, $requestMethod)
			  ->performRequest();

$arrayContent = json_decode($data, true);

if (array_key_exists('errors', $arrayContent)) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<users>" . "\r\n";
	echo "		<user>" . "\r\n";
	echo "			<code>" . $arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</user>" . "\r\n";
	echo "	</users>";
	die;
}

//echo var_dump($arrayContent);
//exit;

$arrayCount = count($arrayContent['ids']);
$arrayCurPos = 0;

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
echo "	<ids>"."\r\n";
echo "		<code>0</code>" . "\r\n";

while ($arrayCurPos < $arrayCount){

	echo "		<id>" . $arrayContent['ids'][$arrayCurPos] . "</id>"."\r\n"; 	

	$arrayCurPos = $arrayCurPos + 1;
}
	
echo "	</ids>";

?>